| 1.0.0 API documentation

Functions
fast_exponential.hpp File Reference

GLM_GTX_fast_exponential More...

Go to the source code of this file.

## Functions
template<typename T >
GLM_FUNC_DECL T | fastExp (T x)
| Faster than the common exp function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastExp (vec< L, T, Q > const &x)
| Faster than the common exp function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastExp2 (T x)
| Faster than the common exp2 function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastExp2 (vec< L, T, Q > const &x)
| Faster than the common exp2 function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastLog (T x)
| Faster than the common log function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastLog (vec< L, T, Q > const &x)
| Faster than the common exp2 function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastLog2 (T x)
| Faster than the common log2 function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastLog2 (vec< L, T, Q > const &x)
| Faster than the common log2 function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastPow (genType x, genType y)
| Faster than the common pow function but less accurate. More...
template<typename genTypeT , typename genTypeU >
GLM_FUNC_DECL genTypeT | fastPow (genTypeT x, genTypeU y)
| Faster than the common pow function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastPow (vec< L, T, Q > const &x)
| Faster than the common pow function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastPow (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Faster than the common pow function but less accurate. More...

## Detailed Description

GLM_GTX_fast_exponential

See also
  Core features (dependence)
  gtx_half_float (dependence)

Definition in file fast_exponential.hpp.